Import Form Data in JavaScript (ES6) PDF Viewer

14 Aug 20262 minutes to read

The PDF Viewer lets you import values into interactive form fields in the currently loaded PDF. You can import data from these formats:

API to use

  • importFormFields(sourceOrObject, format) — Imports form data into the currently loaded PDF. The sourceOrObject parameter accepts a file path or URL, a file stream, or a JavaScript object; the format parameter accepts FDF, XFDF, or JSON.

NOTE

For server-backed viewers, set serviceUrl before importing. The method triggers import events (importStart, importSuccess, importFailed); see the import/export events page for recommended handling.

Import FDF

<button id="importFdf">Import FDF</button>
<div id="pdfViewer" style="height: 640px; width: 100%"></div>
document.getElementById('importFdf')!.addEventListener('click', () => {
  // The file for importing should be accessible at the given path or as a file stream depending on your integration
  viewer.importFormFields('File', FormFieldDataFormat.Fdf);
});

Import XFDF

<button id="importXfdf">Import XFDF</button>
<div id="pdfViewer" style="height: 640px; width: 100%"></div>
document.getElementById('importXfdf')!.addEventListener('click', () => {
  // The file for importing should be accessible at the given path or as a file stream depending on your integration
  viewer.importFormFields('File', FormFieldDataFormat.Xfdf);
});

Import JSON

<button id="importJson">Import JSON</button>
document.getElementById('importJson')!.addEventListener('click', () => {
  // The file for importing should be accessible at the given path or as a file stream depending on your integration
  viewer.importFormFields('File', FormFieldDataFormat.Json);
});

Common Use Cases

  • Pre-fill application forms from a database using JSON.
  • Migrate data from other PDF tools using FDF/XFDF.
  • Restore user progress saved locally or on the server.
  • Combine with validation to block print/download until required fields are completed.

View Sample on GitHub

See also

Import PDF Form Data into Vue PDF Viewer

28 Jul 20266 minutes to read

The PDF Viewer lets you import values into interactive form fields in the currently loaded PDF. You can import data from these formats:

API to use

NOTE

If a server-backed viewer is used, set serviceUrl before importing.

Import FDF

The following Vue example imports FDF data into the currently loaded PDF.

<template>
  <div>
    <button @click="importFdf">Import FDF</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    importFdf() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      // The file for importing should be accessible at the given path or as a file stream depending on your integration
      pdfviewer.importFormFields('File', FormFieldDataFormat.Fdf);
    }
  }
};
</script>

Import XFDF

The following example imports XFDF data.

<template>
  <div>
    <button @click="importXfdf">Import XFDF</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    importXfdf() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      // The file for importing should be accessible at the given path or as a file stream depending on your integration
      pdfviewer.importFormFields('File', FormFieldDataFormat.Xfdf);
    }
  }
};
</script>

Import JSON

The following example imports JSON form data.

<template>
  <div>
    <button @click="importJson">Import JSON</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    importJson() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      // The file for importing should be accessible at the given path or as a file stream depending on your integration
      pdfviewer.importFormFields('File', FormFieldDataFormat.Json);
    }
  }
};
</script>

Common use cases

  • Pre-fill application forms from a database using JSON.
  • Migrate data from other PDF tools using FDF/XFDF.
  • Restore user progress saved locally or on the server.
  • Combine with validation to block print/download until required fields are completed.

View Sample on GitHub

See also

Import Form Data in React PDF Viewer

14 Aug 20266 minutes to read

This guide shows how to import form field values into an already loaded PDF in the EJ2 React PDF Viewer. Supported import formats: FDF, XFDF, JSON, and importing from a JavaScript object.

Steps to import data

  1. Import the viewer, inject FormFields / FormDesigner services, and create a ref to call importFormFields.

  2. Call importFormFields(data, format) where format is one of FormFieldDataFormat.Fdf, FormFieldDataFormat.Xfdf, or FormFieldDataFormat.Json. data may be a file path (for server/file-based imports) / base64 string or a JavaScript object mapping field names to values.

  3. Verify the form fields are populated after the import completes. For server-backed imports, ensure serviceUrl is configured and the import file is accessible by the server.

Example

The example below provides a minimal React app with four buttons to import FDF, XFDF, JSON, or an object. Replace the import file identifiers ('File') with your file path or implement a file upload to pass a Blob/stream.

import { RefObject, useRef } from 'react';
import {
    PdfViewerComponent, Toolbar, Magnification, Navigation, Annotation, LinkAnnotation,
    ThumbnailView, BookmarkView, TextSelection, FormFields, FormDesigner, Inject,
    PageOrganizer, Print, FormFieldDataFormat
} from '@syncfusion/ej2-react-pdfviewer';

export default function App() {
    const viewerRef: RefObject<PdfViewerComponent> = useRef(null);

    // The file for importing should be accessible at the given path or as a base 64 string depending on your integration
    const importFdf = () => viewerRef.current?.importFormFields('File', FormFieldDataFormat.Fdf);
    const importXfdf = () => viewerRef.current?.importFormFields('File', FormFieldDataFormat.Xfdf);
    const importJson = () => viewerRef.current?.importFormFields('File', FormFieldDataFormat.Json);
    // Import from a JavaScript object (fieldName: value)
    const importFromObject = () => {
        const formDataObject = {
            'fullname': 'Jane Doe',
            'email': '[email protected]',
            'agreeTerms': 'yes'
        };
        viewerRef.current?.importFormFields(JSON.stringify(formDataObject), FormFieldDataFormat.Json);
    };

    return (
        <div>
            <div style={{ marginBottom: 12 }}>
                <button onClick={importFdf} style={{ marginRight: 8 }}>Import FDF</button>
                <button onClick={importXfdf} style={{ marginRight: 8 }}>Import XFDF</button>
                <button onClick={importJson} style={{ marginRight: 8 }}>Import JSON</button>
                <button onClick={importFromObject}>Import from Object</button>
            </div>

            <PdfViewerComponent
                id="pdfViewer"
                style={{ height: '680px', width: '100%' }}
                ref={viewerRef}
                documentPath="https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf"
                // For server-backed viewer uncomment and set your service URL
                // serviceUrl="http://localhost:5262/pdfviewer"
                resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
            >
                <Inject services={
                    [ Toolbar, Magnification, Navigation, Annotation, LinkAnnotation,
                    ThumbnailView, BookmarkView, TextSelection, FormFields, FormDesigner,
                    PageOrganizer, Print ]} />
            </PdfViewerComponent>
        </div>
    );
}

Expected result: The loaded PDF’s interactive form fields are populated with the values from the imported file/object. For object imports, fields matching the object keys receive the provided values.

Troubleshooting

  • If imports do not populate fields, confirm the field names in the source match the PDF form field names.
  • For file-based imports, ensure you use server mode and that the import file is accessible to the viewer.
  • If using a Blob, pass the encoded base64 string of Blob/stream instead of the string 'File'.
  • Check browser console for network errors when the viewer attempts to fetch import files.

See also

Import Form Data in Angular PDF Viewer

14 Aug 20264 minutes to read

This guide shows how to import form field values into an already loaded PDF in the EJ2 Angular PDF Viewer. Supported import formats: FDF, XFDF, JSON, and importing from a JavaScript object.

Steps to import data

  1. Import the viewer, inject FormFieldsService / FormDesignerService, and create a @ViewChild to call importFormFields.

  2. Call importFormFields(data, format) where format is one of FormFieldDataFormat.Fdf, FormFieldDataFormat.Xfdf, or FormFieldDataFormat.Json. data may be a file path (for server/file-based imports), a base64 string, or a JavaScript object mapping field names to values.

  3. Verify the form fields are populated after the import completes. For server-backed imports, ensure serviceUrl is configured and the import file is accessible by the server.

Example

The example below provides a minimal Angular app with four buttons to import FDF, XFDF, JSON, or an object. Replace the import file identifiers ('File') with your file path or implement a file upload to pass a Blob/stream.

import { Component, ViewChild } from '@angular/core';
import {
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
  PdfViewerModule,
  PdfViewerComponent,
  FormFieldDataFormat,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="control-section">
      <div style="margin-bottom: 12px">
        <button (click)="importFdf()" style="margin-right: 8px">Import FDF</button>
        <button (click)="importXfdf()" style="margin-right: 8px">Import XFDF</button>
        <button (click)="importJson()" style="margin-right: 8px">Import JSON</button>
        <button (click)="importFromObject()">Import from Object</button>
      </div>
      <ejs-pdfviewer #pdfViewer id="container"
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        style="height: 680px; width: 100%"></ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent {
  public document: string = 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl: string = 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib';

  @ViewChild('pdfViewer') public pdfviewer!: PdfViewerComponent;

  // The file for importing should be accessible at the given path or as a base 64 string depending on your integration
  importFdf(): void {
    this.pdfviewer.importFormFields('File', FormFieldDataFormat.Fdf as any);
  }

  importXfdf(): void {
    this.pdfviewer.importFormFields('File', FormFieldDataFormat.Xfdf as any);
  }

  importJson(): void {
    this.pdfviewer.importFormFields('File', FormFieldDataFormat.Json as any);
  }

  // Import from a JavaScript object (fieldName: value)
  importFromObject(): void {
    const formDataObject = {
      'fullname': 'Jane Doe',
      'email': '[email protected]',
      'agreeTerms': 'yes'
    };
    this.pdfviewer.importFormFields(JSON.stringify(formDataObject), FormFieldDataFormat.Json as any);
  }
}

Expected result: The loaded PDF’s interactive form fields are populated with the values from the imported file/object. For object imports, fields matching the object keys receive the provided values.

Troubleshooting

  • If imports do not populate fields, confirm the field names in the source match the PDF form field names.
  • For file-based imports, ensure you use server mode and that the import file is accessible to the viewer.
  • If using a Blob, pass the encoded base64 string of Blob/stream instead of the string 'File'.
  • Check browser console for network errors when the viewer attempts to fetch import files.

View Sample on GitHub

See also